=== examples/CMakeLists.txt ===
set(EXAMPLE_PROGRAMS hello_world.py)
install(PROGRAMS ${EXAMPLE_PROGRAMS} DESTINATION share/bcc/examples)

if(ENABLE_CLANG_JIT)
if(ENABLE_USDT)
add_subdirectory(cpp)
endif(ENABLE_USDT)
add_subdirectory(lua)
add_subdirectory(networking)
add_subdirectory(tracing)
endif()
