=== man/man8/CMakeLists.txt ===
file(GLOB FILES *.8)
install(FILES ${FILES} DESTINATION share/bcc/man/man8)
