=== debian/changelog ===
bpfcc (0.5.0-5ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Use llvm 4.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Mar 2018 10:00:50 +0200

bpfcc (0.5.0-5) unstable; urgency=medium

  * Add python3 bpfcc package. Thanks to Andreas Gerstmayr
  * Add python3-distutils to build dependency (Closes: #893434)
  * Add missing debian documents (Closes: #891035)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 23 Mar 2018 15:20:13 +0530

bpfcc (0.5.0-4ubuntu2) bionic; urgency=medium

  * Fixup previous merge 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Feb 2018 10:44:30 +0100

bpfcc (0.5.0-4ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use llvm 4.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Feb 2018 10:39:48 +0100

bpfcc (0.5.0-4) unstable; urgency=medium

  * Check for file type before renaming (Closes: #890686)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 20 Feb 2018 15:03:10 +0530

bpfcc (0.5.0-3ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use llvm 4.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Dec 2017 11:56:35 +0100

bpfcc (0.5.0-3) unstable; urgency=medium

  * Extend libbpfcc to ppc64 too. And restrict bpfcc-lua to amd64 only

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 20 Dec 2017 21:35:42 +0530

bpfcc (0.5.0-2) unstable; urgency=medium

  * Really enable some 64bit architectures. We'll extend to other
    architectures only when upstream has readiness

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 19 Dec 2017 22:47:20 +0530

bpfcc (0.5.0-1ubuntu3) bionic; urgency=medium

  * Back to any, readd previous patch to fix build failures.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Dec 2017 15:30:43 +0100

bpfcc (0.5.0-1ubuntu2) bionic; urgency=medium

  * Restrict lua binding to packages where lua is available

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Dec 2017 15:07:46 +0100

bpfcc (0.5.0-1ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Fixup 64bit architectures list
    - Use llvm 4.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Dec 2017 14:17:26 +0100

bpfcc (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * Drop architecture support to 64bit common architectures only
    (Closes: #882344)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 17 Dec 2017 18:19:44 +0530

bpfcc (0.4.0-1ubuntu3) bionic; urgency=high

  * Comment out test that only works on amd64 and ppc64el.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 20:55:32 -0600

bpfcc (0.4.0-1ubuntu2) bionic; urgency=medium

  * Set version dependencies on libllvm-dev and libclang-dev because Ubuntu's
    llvm-defaults uses 5.0 (of both) and this package isn't compatible with
    those versions quite yet.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 22 Nov 2017 18:01:20 -0600

bpfcc (0.4.0-1ubuntu1) bionic; urgency=high

  * Set version dependencies on libllvm-dev and libclang-dev because Ubuntu's
    llvm-defaults uses 5.0 (of both) and this package isn't compatible with
    those versions quite yet.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 22 Nov 2017 17:40:57 -0600

bpfcc (0.4.0-1) unstable; urgency=medium

  [ Edward Betts ]
  * correct spelling mistake

  [ Ritesh Raj Sarraf ]
  * Fix FTBFS with clang 4.0.
    Thanks to Sylvestre Ledru (Closes: 882160)
  * New upstream version 0.4.0
  * Disable User-level Statically Defined Tracing
  * Fix patches
  * Revert "Disable User-level Statically Defined Tracing"
  * Check manpage file's existence. For now, this will only honor
    regular manpages, and not symlinks

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 21 Nov 2017 19:16:03 +0530
