=== debian/changelog ===
bpfcc (0.6.0-2) unstable; urgency=medium

  * Drop patch force-using-clang-4.0.diff (Closes: #906974)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 24 Aug 2018 16:23:15 +0545

bpfcc (0.6.0-1) unstable; urgency=medium

  * Bump to debhelper compatibility 11
  * Install files to all packages
  * Switch packaging repository to Salsa
  * New upstream version 0.6.0
  * Drop patch build-for-multiple-python-installations.diff.
    Merged upstream

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 15 Jun 2018 19:13:42 +0545
