=== debian/control ===
--- 
+++ 
@@ -14,12 +14,12 @@
                flex,
                inetutils-ping | iputils-ping,
                iperf,
-               libclang-4.0-dev,
+               libclang-dev,
                libedit-dev,
                libelf-dev,
                libfl-dev,
                libzip-dev,
-               llvm-4.0-dev,
+               llvm-dev,
                libluajit-5.1-dev [amd64 armel armhf i386 mips mipsel powerpc],
                luajit [amd64 armel armhf i386 mips mipsel powerpc],
                python-netaddr,
@@ -28,8 +28,8 @@
                python:any | python-all:any | python-dev:any | python-all-dev:any,
                python3:any | python3-all:any | python3-dev:any | python3-all-dev:any
 Homepage: https://github.com/iovisor/bcc
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/bpfcc.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/bpfcc.git
+Vcs-Git: https://salsa.debian.org/debian/bpfcc.git
+Vcs-Browser: https://salsa.debian.org/debian/bpfcc.git
 
 Package: libbpfcc
 Architecture: amd64 arm64 ppc64el ppc64
