=== debian/changelog ===
bpfcc (0.8.0-4) unstable; urgency=medium

  * [6bb6080] Fix .so and its symlink in their respective pacakges.
    Thanks to Vincent Bernat

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 04 Feb 2019 15:40:29 +0530

bpfcc (0.8.0-3) unstable; urgency=medium

  * [ae23e3f] Restrict architectures to what is currently buildable

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 03 Feb 2019 19:56:02 +0530

bpfcc (0.8.0-2) unstable; urgency=medium

  * [b8a9b76] Add .pc and .so files in -dev package.
    Thanks to Vincent Bernat (Closes: #921188)
  * [c1424ff] Set architecture dependent for the development package

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 03 Feb 2019 13:18:21 +0530

bpfcc (0.8.0-1) unstable; urgency=medium

  * [5228c2f] Add debian/watch file.
    Thanks to Michael Prokop
  * [1f9bead] Add debian/gbp.conf file
  * [b172968] New upstream version 0.8.0
  * [ad863b4] Drop patch fix-uint128-build-failure.patch
    Not needed anymore

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 01 Feb 2019 12:29:43 +0530

bpfcc (0.7.0-2) unstable; urgency=medium

  * Disable parallel builds.
    Thanks to Adrian Bunk and Bernhard Schmidt (Closes: #913609)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 29 Nov 2018 18:42:33 +0530

bpfcc (0.7.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Ritesh Raj Sarraf ]
  * New upstream version 0.7.0
  * Drop the (now)unnecessary --parallel argument

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 29 Oct 2018 19:47:53 +0530
