=== debian/control ===
--- 
+++ 
@@ -45,9 +45,9 @@
  to control BPF programs from userspace.
 
 Package: libbpfcc-dev
-Architecture: all
+Architecture: amd64 arm64 ppc64el ppc64
 Section: libdevel
-Depends: ${misc:Depends}, libbpfcc (>= ${binary:Version})
+Depends: ${misc:Depends}, libbpfcc (>= ${binary:Version}), ${shlibs:Depends}
 Description: shared library for BPF Compiler Collection (BCC)
  BPF Compiler Collection (BCC) is a toolkit for creating efficient
  kernel tracing and manipulation programs
